org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class PropertiesStep<E>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.FlatMapStep<Element,E>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.PropertiesStep<E>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<Traverser.Admin<E>>, Step<Element,E>

      public class PropertiesStep<E>
      extends FlatMapStep<Element,E>
      implements AutoCloseable

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String[]` | `propertyKeys`
    `protected PropertyType` | `returnType`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesStep(Traversal.Admin traversal, PropertyType propertyType, String... propertyKeys)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected Iterator<E>` | `flatMap(Traverser.Admin<Element> traverser)`
    `String[]` | `getPropertyKeys()`
    `Set<TraverserRequirement>` | `getRequirements()` Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly.
    `PropertyType` | `getReturnType()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.FlatMapStep

      `closeIterator, processNextStart, reset`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getTraversal, hasNext, next, removeLabel, setId, setNextStep, setPreviousStep, setTraversal`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Field Detail

    - #### propertyKeys

          protected final String[] propertyKeys

    - #### returnType

          protected final PropertyType returnType

  - ### Constructor Detail

    - #### PropertiesStep

          public PropertiesStep(Traversal.Admin traversal,
                                PropertyType propertyType,
                                String... propertyKeys)

  - ### Method Detail

    - #### flatMap

          protected Iterator<E> flatMap(Traverser.Admin<Element> traverser)

      Specified by:
        `flatMap` in class `FlatMapStep<Element,E>`

    - #### getReturnType

          public PropertyType getReturnType()

    - #### getPropertyKeys

          public String[] getPropertyKeys()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractStep<Element,E>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractStep<Element,E>`

    - #### getRequirements

          public Set<TraverserRequirement> getRequirements()

      Description copied from interface: `Step`
      Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly. The provided default implements returns an empty set.
      Specified by:
        `getRequirements` in interface `Step<Element,E>`
      Returns:
        the set of requirements

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `Exception`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.